## org.apache.batik.dom.svg
Class AbstractSVGNumberList.SVGNumberItem

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGNumber
          org.apache.batik.dom.svg.AbstractSVGNumberList.SVGNumberItem

All Implemented Interfaces:
  SVGItem, SVGNumber

Enclosing class:
  AbstractSVGNumberList

protected class AbstractSVGNumberList.SVGNumberItem
extends AbstractSVGNumber
implements SVGItem

Representation of the item SVGNumber.

Field Summary
`protected AbstractSVGList` `parentList` SVGNumberList this item belongs to.

Constructor Summary
`AbstractSVGNumberList.SVGNumberItem(float value)` Default Constructor.

Method Summary
`AbstractSVGList` `getParent()` Return the list the item belongs to.
`java.lang.String` `getValueAsString()` Return the String representation of the item.
`protected void` `reset()` When the SVGLength changes, notify its parent.
`void` `setParent(AbstractSVGList list)` Associates an item to an SVGXXXList

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGNumber
`getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parentList

    protected AbstractSVGList parentList

  SVGNumberList this item belongs to.

Constructor Detail

### AbstractSVGNumberList.SVGNumberItem

    public AbstractSVGNumberList.SVGNumberItem(float value)

  Default Constructor.

Method Detail

### getValueAsString

    public java.lang.String getValueAsString()

  Description copied from interface: `SVGItem`
  Return the String representation of the item.

  Specified by:
    `getValueAsString` in interface `SVGItem`
  Returns:
    textual representation of the item to be inserted in the attribute value representing the list.

### setParent

    public void setParent(AbstractSVGList list)

  Associates an item to an SVGXXXList

  Specified by:
    `setParent` in interface `SVGItem`
  Parameters:
    `list` - list the item belongs to.

### getParent

    public AbstractSVGList getParent()

  Return the list the item belongs to.

  Specified by:
    `getParent` in interface `SVGItem`
  Returns:
    list the item belongs to. This could be if the item belongs to no list.

### reset

    protected void reset()

  When the SVGLength changes, notify its parent.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.